%global commit 77c3c4f18a5d6e15c2a8aca7d7b51c0eab7f09ae

%global enable_tests 0

Name:           nodejs-lodash-cli
Version:        2.4.1
Release:        2%{?dist}
Summary:        The Lo-Dash command-line interface

License:        MIT
URL:            https://github.com/lodash/lodash-cli
Source0:        https://github.com/lodash/lodash-cli/archive/%{commit}/lodash-cli-%{commit}.tar.gz
# https://github.com/lodash/lodash-cli/pull/19
Patch0:         nodejs-lodash-cli-openjdk.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(closure-compiler)
BuildRequires:  npm(glob)
BuildRequires:  npm(lodash)
BuildRequires:  npm(uglify-js)
%endif

%description
The Lo-Dash command-line interface for creating custom
builds & precompiling templates.


%prep
%setup -q -n lodash-cli-%{commit}
%patch0 -p1
%nodejs_fixdep closure-compiler "~0.2.5"
%nodejs_fixdep glob "~3.2.6"
%nodejs_fixdep uglify-js "~2.4.13"
rm -rf node_modules vendor


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lodash-cli
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/lodash-cli
mkdir -p %{buildroot}%{nodejs_sitelib}/lodash-cli/bin
install -p -m755 bin/* %{buildroot}%{nodejs_sitelib}/lodash-cli/bin
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr template %{buildroot}%{_datadir}/%{name}
ln -s %{_datadir}/%{name}/template %{buildroot}%{nodejs_sitelib}/lodash-cli
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/lodash-cli/bin/lodash %{buildroot}%{_bindir}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} test/test
%endif


%files
%doc LICENSE.txt README.md
%{nodejs_sitelib}/lodash-cli
%{_datadir}/%{name}
%{_bindir}/lodash


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 Tom Hughes <tom@compton.nu> - 2.4.1-1
- Initial build of 2.4.1
